## python-unidns 0.0.3

=== Makefile ===
clean:
	rm -f -r build/
	rm -f -r dist/
	rm -f -r *.egg-info
	find . -name '*.pyc' -exec rm -f {} +
	find . -name '*.pyo' -exec rm -f {} +
	find . -name '*~' -exec rm -f  {} +

publish: clean
	python3 setup.py sdist bdist_wheel
	python3 -m twine upload dist/*

rebuild: clean
	python3 setup.py install

build:
	python3 setup.py install

install:
	python3 setup.py install

=== debian/changelog ===
python-unidns (0.0.3-0kali2) kali-dev; urgency=medium

  * Add missing dependency

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Fri, 03 Oct 2025 08:39:09 +0200

python-unidns (0.0.3-0kali1) kali-dev; urgency=medium

  * Initial release

 -- Daniel Ruiz de Alegria <daniruiz@kali.org>  Thu, 02 Oct 2025 16:40:55 +0200

=== debian/control ===
Source: python-unidns
Section: python
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Daniel Ruiz de Alegría <daniruiz@kali.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 pybuild-plugin-pyproject,
 python3-all,
 python3-asysocks,
 python3-requests,
 python3-setuptools,
Standards-Version: 4.7.2
Homepage: https://github.com/skelsec/unidns
Vcs-Browser: https://gitlab.com/kalilinux/packages/python-unidns
Vcs-Git: https://gitlab.com/kalilinux/packages/python-unidns.git

Package: python3-unidns
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Rudimentary async DNS client in Python
 Rudimentary async DNS client in Python
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1
export PYBUILD_NAME = unidns

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4
https://github.com/skelsec/unidns/tags .*/v?(\d.*)@ARCHIVE_EXT@

## python-unidns 0.0.4

=== debian/changelog ===
python-unidns (0.0.4-0parrot4) echo-updates; urgency=medium

  * Set debian branch as "main" on d/gbp.conf

 -- Maysec <maycon.cmoreira@protonmail.com>  Wed, 07 Jan 2026 14:42:37 -0400

python-unidns (0.0.4-0parrot3) echo-updates; urgency=medium

  * Add debian/watch

 -- Maysec <maycon.cmoreira@protonmail.com>  Wed, 07 Jan 2026 14:34:31 -0400

python-unidns (0.0.4-0parrot2) echo-updates; urgency=medium

  * Update source package name to "python-unidns" to comply with debian
    policy. Binary package stays the same.

 -- Maysec <maycon.cmoreira@protonmail.com>  Wed, 07 Jan 2026 14:28:55 -0400

python-unidns (0.0.4-0parrot1) echo-updates; urgency=medium

  * Initial release.

 -- Maysec <maycon.cmoreira@protonmail.com>  Wed, 07 Jan 2026 14:20:15 -0400

=== debian/control ===
Source: python-unidns
Section: python
Priority: optional
Maintainer: Parrot Team <team@parrotsec.org>
Uploaders: Maysec <maycon.cmoreira@protonmail.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-setuptools,
 python3-all,
#Testsuite: autopkgtest-pkg-python
Standards-Version: 4.6.2
Homepage: https://github.com/skelsec/unidns
Vcs-Browser: https://gitlab.com/parrotsec/packages/python3-unidns
Vcs-Git: https://gitlab.com/parrotsec/packages/python3-unidns.git

Package: python3-unidns
Architecture: all
Depends:
 ${python3:Depends},
 ${misc:Depends},
 python3-asysocks,
Description:  Rudimentary async DNS client in Python(Python 3)
 A basic async DNS library made by skelsec.
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

export PYBUILD_NAME=python3-unidns

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/skelsec/unidns/tags .*/v?(\d\S*)\.tar\.gz debian
